* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --container-width: 1440px;
    --main-green-bg-color: #2cc67c;
    --main-transition: 0.3s;
    --main-font-family: 'Montserrat', sans-serif;
}

html {
    scroll-behavior: smooth;
}



.answer_title {
    padding: 60px 100px;
    font-family: var(--main-font-family);

    h2 {
        font-size: 1.1rem;
        color: rgb(66, 66, 66);

        a {
            color: black;
            text-decoration: underline;

            &:hover {
                color: #2cc67c;
            }
        }
    }
}

.answer_info {
    padding: 0px 100px 100px 100px;

    .answer__wrapper {
        width: 100%;
        display: flex;
        gap: 50px;

        .answer_content {
            width: 500px;
            display: flex;
            flex-direction: column;
            gap: 20px;
            font-family: var(--main-font-family);


            img {
                width: 450px;
                height: 450px;
                object-fit: cover;
                border-radius: 50%;
                margin-top: 30px;
                margin-bottom: 30px;
            }

            h2 {
                font-size: 30px;
            }

            h3 {
                font-size: 25px;
            }

            a {
                color: black;
                text-decoration: underline;

                &:hover {
                    color: #2cc67c;
                }
            }

            p {
                line-height: 150%;
            }
        }





        .quest {
            font-family: var(--main-font-family);
            list-style-type: none;


            .quest_item {


                .quest_item-title {
                    display: flex;
                    cursor: pointer;
                    position: relative;


                    h2 {
                        margin-top: 20px;
                        font-size: 1rem;
                        max-width: 80%;
                        line-height: 150%;
                    }

                    i{
                        font-size: 25px;
                        position: absolute;
                        right: 20px;
                        top: 18px;
                        transition: .2s;


                    }

                    .rotate {
                        transform: rotate(90deg);
                    }


                }

                .quest_item-content {
                    border-bottom: 1px solid rgb(162, 162, 162);
                    max-width: 800px;
                    max-height: 0px;
                    overflow: hidden;
                    margin-top: 40px;
                    transition: .2s;


                    p {
                        line-height: 150%;
                        color: rgb(66, 66, 66);
                        margin-bottom: 10px;
                        font-size: 1rem;
                    }
                }

                .active {
                    max-height: 300px;
                }
            }

        }

    }
}

